package com.tuoheng.admin.enums.code.inspection;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
public enum QueryInspectionListServiceEnum {


    QUERY_IS_FAILED(1230600, "获取数据失败"),
    USER_ID_IS_NULL(1230601, "用户id为空"),
    USER_IS_NOT_EXIST(1230602, "用户不存在"),
    DEPT_ID_IS_NULL(1230603, "部门id为空"),
    DEPT_IS_NOT_EXIST(1230604, "部门不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryInspectionListServiceEnum
            (int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
